--AH:ScriptId=fdc87204-c7b6-445b-a734-5d80f4b5d255;376
CREATE TABLE [PlanActionGroups] (

	[PlanActionGroup_Id] INT IDENTITY(1,1) NOT NULL,
	CONSTRAINT [PK__PlanActionGroups] 
	PRIMARY KEY ([PlanActionGroup_Id]),
	
	[ActionGroup_Id] INT NOT NULL
		CONSTRAINT [FK__PlanActionGroups__Plans]
		FOREIGN KEY ([ActionGroup_Id])
		REFERENCES [Plans] ([Plan_Id]),

	[Application_Id] INT NOT NULL,
	CONSTRAINT [FK__PlanActionGroups__Applications] 
	FOREIGN KEY([Application_Id])
	REFERENCES [Applications] ([Application_Id]),

	[Environment_Id] INT NOT NULL,
	CONSTRAINT [FK__PlanActionGroups__Environments]
	FOREIGN KEY([Environment_Id])
	REFERENCES [Environments] ([Environment_Id]),

	[PlanActionGroup_Sequence] INT NOT NULL,
	CONSTRAINT [CK__PlanActionGroups__PlanActionGroup_Domain] CHECK  ([PlanActionGroup_Sequence]>0),
	
	[Deployable_Id] INT NULL,
	CONSTRAINT [FK__PlanActionGroups__Deployables] FOREIGN KEY([Deployable_Id])
	REFERENCES [Deployables] ([Deployable_Id]),
	 

	[OverridesReferenced_Indicator] YNINDICATOR NOT NULL,
	CONSTRAINT [CK__PlanActionGroups__OverridesReferenced_Check]
	CHECK (
		([OverridesReferenced_Indicator] = 'Y'
		 AND [Active_Indicator] IS NOT NULL
		 AND [ActionGroup_Name] IS NOT NULL
		 AND [ActionGroup_Description] IS NOT NULL
		 AND [ModifiedBy_User_Name] IS NOT NULL
		 AND [ModifiedOn_Date] IS NOT NULL		 
		 ) OR (
		 [OverridesReferenced_Indicator] = 'N'
		 AND [Active_Indicator] IS NULL
		 AND [ActionGroup_Name] IS NULL
		 AND [ActionGroup_Description] IS NULL		 
		 AND [Predicate_Configuration] IS NULL
		 AND [Predicate_Description] IS NULL		 
		 AND [ModifiedBy_User_Name] IS NULL
		 AND [ModifiedOn_Date] IS NULL
		 )
	),

	[Active_Indicator] YNINDICATOR NULL,

	[ActionGroup_Name] VARCHAR(50) NULL,
	[ActionGroup_Description] VARCHAR(MAX) NULL,

	[Predicate_Configuration] VARCHAR(MAX) NULL,
	[Predicate_Description] VARCHAR(MAX) NULL,

	[ModifiedBy_User_Name] USERNAME NULL,
	[ModifiedOn_Date] DATETIME NULL,
)

SET IDENTITY_INSERT [PlanActionGroups] ON
INSERT INTO [PlanActionGroups]
 ([PlanActionGroup_Id], [ActionGroup_Id], [Application_Id], [Environment_Id], [PlanActionGroup_Sequence], [Deployable_Id],
  [OverridesReferenced_Indicator],
  [Active_Indicator],[ActionGroup_Name],[ActionGroup_Description],
  [Predicate_Configuration],[Predicate_Description],
  [ModifiedBy_User_Name],[ModifiedOn_Date])
SELECT 
  [Plan_Id], [Plan_Id], [Application_Id], [Environment_Id], [Plan_Sequence], [Deployable_Id],
  'N',
  NULL, NULL, NULL,
  NULL, NULL, 
  NULL, NULL
FROM [Plans]  
SET IDENTITY_INSERT [PlanActionGroups] OFF
