IF OBJECT_ID('[DatabaseChangeScripts_Extended]') IS NOT NULL DROP VIEW [DatabaseChangeScripts_Extended]
GO

CREATE VIEW [DatabaseChangeScripts_Extended] AS

	SELECT DCS.[Script_Id]
		  ,A.[Application_Id]
		  ,R.[Release_Id]
		  ,R.[Release_Number]
		  ,DCS.[Deployable_Id]
		  ,DCS.[Script_Name]
		  ,DCS.[Script_Text]
		  ,DCS.[Active_Indicator]
		  ,DCS.[CreatedBy_User_Name]
		  ,DCS.[CreatedOn_Date]
		  ,DCS.[ModifiedBy_User_Name]
		  ,DCS.[ModifiedOn_Date]

          ,A.[Application_Name]
          ,[Numeric_Release_Number] = R.[Release_Sequence]

		  ,D.[Deployable_Name]
          ,[Release_Name] = COALESCE(R.[Release_Name], R.[Release_Number])

		  ,DCS.[Script_Guid]

	  FROM [DatabaseChangeScripts] DCS
           INNER JOIN [Releases] R
                   ON R.[Release_Id] = DCS.[Release_Id]
	       INNER JOIN [Applications] A
	               ON R.[Application_Id] = A.[Application_Id]
	        LEFT JOIN [Deployables] D
	               ON DCS.[Deployable_Id] = D.[Deployable_Id]
GO
