IF OBJECT_ID('[RetentionPolicies_Extended]') IS NOT NULL DROP VIEW [RetentionPolicies_Extended]
GO

CREATE VIEW [RetentionPolicies_Extended] AS

SELECT RP.[RetentionPolicy_Id],
       RP.[RetentionPolicy_Name],
	   RP.[PurgeType_Code],
	   RP.[CreatedOn_Date],
	   RP.[CreatedBy_User_Name],
	   RP.[ModifiedOn_Date],
	   RP.[ModifiedBy_User_Name],
	   
	   RP.[PurgeIn_Application_Id],
	   [PurgeIn_Application_Name] = A.[Application_Name],
	   RP.[PurgeIn_ApplicationGroup_Id],
	   [PurgeIn_ApplicationGroup_Name] = AG.[ApplicationGroup_Name],
       RP.[PurgeIn_Pipeline_Name],
	   RP.[PurgeIn_Environment_Id],
	   [PurgeIn_Environment_Name] = E.[Environment_Name],
	   RP.[PurgeIn_OnlyDeployedReleases_Indicator],
	   RP.[PurgeIn_OnlyRejectedBuilds_Indicator],
       RP.[PurgeOrphanedArtifacts_Indicator],

	   RP.[Retention_Count],
	   RP.[Retention_Size],
	   RP.[Retention_Days_Count],

	   RP.[PurgeWindow_Start_Minutes],
       RP.[PurgeWindow_Duration_Minutes],

       RP.[Active_Indicator]

  FROM [RetentionPolicies] RP
       LEFT JOIN [Applications] A
	          ON A.[Application_Id] = RP.[PurgeIn_Application_Id]
	   LEFT JOIN [ApplicationGroups] AG
	          ON AG.[ApplicationGroup_Id] = RP.[PurgeIn_ApplicationGroup_Id]
	   LEFT JOIN [Environments] E
	          ON E.[Environment_Id] = RP.[PurgeIn_Environment_Id]
GO