IF OBJECT_ID('[ServerRoles_Extended]') IS NOT NULL DROP VIEW [ServerRoles_Extended]
GO

CREATE VIEW [ServerRoles_Extended]
AS

    SELECT
           SR.[ServerRole_Id]
          ,SR.[ServerRole_Name]
          ,[Servers_Count] = (SELECT COUNT(*)
                                FROM [ServerRoleServers] SRS 
                               WHERE SRS.[ServerRole_Id] = SR.[ServerRole_Id])

          ,[Environments_Count] = (SELECT COUNT(DISTINCT [Environment_Id]) 
                                     FROM [ServerRoleServers] SRS 
                                INNER JOIN [EnvironmentServers] ES
                                        ON ES.[Server_Id] = SRS.[Server_Id]
                                    WHERE SR.[ServerRole_Id] = SRS.[ServerRole_Id])

	  FROM [ServerRoles] SR

GO
