EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'BuildOutputs_GetOutputs',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'BuildOutputs',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the build output reports for a specified build'
GO


IF OBJECT_ID('[BuildOutputs_GetOutputs]') IS NOT NULL DROP PROCEDURE [BuildOutputs_GetOutputs]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [BuildOutputs_GetOutputs]
(
	@Build_Id INT
)
AS
BEGIN

	SET NOCOUNT ON
 

	SELECT BO.*
	  FROM [BuildOutputs] BO
	       JOIN [PipelineStageTargetExecutions] PSTE
		     ON BO.[Execution_Id] = PSTE.[Execution_Id]
		   JOIN [BuildPromotions] BP
		     ON BP.[Promotion_Id] = PSTE.[Promotion_Id]
		     
  ORDER BY [Execution_Id], [Output_Sequence]

END
GO

GRANT EXECUTE ON [BuildOutputs_GetOutputs] TO [BuildMasterUser_Role]
