EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Calendars_GetDeployments',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'Calendars_Deployments',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the deployments that have occurred within a specified window and optionally match additional criteria.'
GO

IF OBJECT_ID('[Calendars_GetDeployments]') IS NOT NULL DROP PROCEDURE [Calendars_GetDeployments]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Calendars_GetDeployments]
(
    @ExecutionRunState_Code CHAR(1),
    @Start_Date DATETIME,
    @End_Date DATETIME,
    @Application_Id INT = NULL,
    @Environment_Id INT = NULL,
    @Pipeline_Name VARCHAR(50) = NULL,
    @PipelineStage_Name VARCHAR(50) = NULL
)
AS
BEGIN

SET NOCOUNT ON

    SELECT * FROM [Calendars_Deployments]
    WHERE [Start_Date] < @End_Date
      AND ([End_Date] > @Start_Date OR [End_Date] IS NULL)
      AND (@ExecutionRunState_Code IS NULL OR [ExecutionRunState_Code] = @ExecutionRunState_Code)
      AND (@Application_Id IS NULL OR [Application_Id] = @Application_Id)
      AND (@Environment_Id IS NULL OR [Environment_Id] = @Environment_Id)
      AND (@Pipeline_Name IS NULL OR [Pipeline_Name] = @Pipeline_Name)
      AND (@PipelineStage_Name IS NULL OR [PipelineStage_Name] = @PipelineStage_Name)

END
GO

GRANT EXECUTE ON [Calendars_GetDeployments] TO [BuildMasterUser_Role]
