EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'DatabaseChangeScripts_GetChangeScripts',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'DatabaseChangeScripts_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets all the database change scripts that match the specified criteria.'
GO


IF OBJECT_ID('[DatabaseChangeScripts_GetChangeScripts]') IS NOT NULL DROP PROCEDURE [DatabaseChangeScripts_GetChangeScripts]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [DatabaseChangeScripts_GetChangeScripts]
(
	@Application_Id INT,
	@Release_Number RELEASENUMBER = NULL,
	@IncludeInactive_Indicator YNINDICATOR = NULL,
	@DatabaseChangeScript_Count INT = NULL
)
AS
BEGIN

	SET NOCOUNT ON

	SET @IncludeInactive_Indicator = ISNULL(@IncludeInactive_Indicator, 'N')

	IF ISNULL(@DatabaseChangeScript_Count, 0) > 0
		SET ROWCOUNT @DatabaseChangeScript_Count

	SELECT * 
      FROM [DatabaseChangeScripts_Extended]
     WHERE [Application_Id] = @Application_Id
       AND [Release_Number] = COALESCE(@Release_Number, [Release_Number])
       AND (	[Active_Indicator] = 'Y'
			 OR @IncludeInactive_Indicator = 'Y' )
  ORDER BY [Numeric_Release_Number] DESC

END
GO

GRANT EXECUTE ON [DatabaseChangeScripts_GetChangeScripts] TO [BuildMasterUser_Role]