EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'EventListeners_DeleteEventListener',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Deletes an event listener.'
GO

IF OBJECT_ID('[EventListeners_DeleteEventListener]') IS NOT NULL DROP PROCEDURE [EventListeners_DeleteEventListener]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [EventListeners_DeleteEventListener]
(
	@EventListener_Id INT
)
AS
BEGIN

SET NOCOUNT ON

BEGIN TRY
	BEGIN TRANSACTION

	DELETE [EventListenerEvents] WHERE [EventListener_Id] = @EventListener_Id

	DELETE [EventListenerApplications] WHERE [EventListener_Id] = @EventListener_Id
	DELETE [EventListenerApplicationGroups] WHERE [EventListener_Id] = @EventListener_Id
	DELETE [EventListenerEvents] WHERE [EventListener_Id] = @EventListener_Id

	DELETE [EventListeners] WHERE [EventListener_Id] = @EventListener_Id
	

	COMMIT
END TRY BEGIN CATCH
	IF XACT_STATE()<>0 ROLLBACK
	EXEC [HandleError]
END CATCH


END
GO

GRANT EXECUTE ON [EventListeners_DeleteEventListener] TO [BuildMasterUser_Role]