EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Executions_CreateRetentionPolicyExecution',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ 'Execution_Id',
    /* Description_Text        */ 'Creates a retention policy execution.'
GO

IF OBJECT_ID('[Executions_CreateRetentionPolicyExecution]') IS NOT NULL DROP PROCEDURE [Executions_CreateRetentionPolicyExecution]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Executions_CreateRetentionPolicyExecution]
(
	@RetentionPolicy_Id INT,
	@Simulation_Indicator YNINDICATOR,
	@Execution_Id INT = NULL OUT
)
AS
BEGIN

SET NOCOUNT ON

BEGIN TRY
	BEGIN TRANSACTION

	INSERT INTO [Executions]
	(
		[Start_Date],
		[ExecutionStatus_Code],
		[ExecutionRunState_Code],
		[ExecutionMode_Code],
		[CreatedBy_User_Name],
		[CreatedOn_Date]
	)
	VALUES
	(
		GETUTCDATE(),
		'S',
		'P',
		'R',
		dbo.Session_GetUserName(),
		GETUTCDATE()
	)

	SET @Execution_Id = SCOPE_IDENTITY()

	INSERT INTO [RetentionPolicyExecutions]
	(
		[Execution_Id],
		[RetentionPolicy_Id],
		[Simulation_Indicator]
	)
	VALUES
	(
		@Execution_Id,
		@RetentionPolicy_Id,
		@Simulation_Indicator
	)

	COMMIT
END TRY BEGIN CATCH
	IF XACT_STATE()<>0 ROLLBACK
	EXEC [HandleError]
END CATCH
END
GO

GRANT EXECUTE ON [Executions_CreateRetentionPolicyExecution] TO [BuildMasterUser_Role]
