EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Rafts_RenameRaftItem',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Renames an item  in a database raft.'
GO

IF OBJECT_ID('[Rafts_RenameRaftItemVersion]') IS NOT NULL DROP PROCEDURE [Rafts_RenameRaftItemVersion]
GO

IF OBJECT_ID('[Rafts_RenameRaftItem]') IS NOT NULL DROP PROCEDURE [Rafts_RenameRaftItem]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Rafts_RenameRaftItem]
(
	@RaftItem_Id INT,
	@RaftItem_Name VARCHAR(255)
)
AS
BEGIN

SET NOCOUNT ON

BEGIN TRY
	BEGIN TRANSACTION

	UPDATE [RaftItems]
		SET [RaftItem_Name] = @RaftItem_Name
		WHERE [RaftItem_Id] = @RaftItem_Id

	COMMIT
END TRY BEGIN CATCH
	IF XACT_STATE()<>0 ROLLBACK
	EXEC [HandleError]
END CATCH


END
GO

GRANT EXECUTE ON [Rafts_RenameRaftItem] TO [BuildMasterUser_Role]
