EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Releases_SetFurthestBuild',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Sets the furthest build number for the release.'
GO


IF OBJECT_ID('[Releases_SetFurthestBuild]') IS NOT NULL DROP PROCEDURE [Releases_SetFurthestBuild]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Releases_SetFurthestBuild]
(
	@Application_Id INT,
	@Release_Number RELEASENUMBER,
	@Build_Number BUILDNUMBER
)
AS
BEGIN

SET NOCOUNT ON

BEGIN TRY
	BEGIN TRANSACTION

	UPDATE [Releases]
	   SET [Furthest_Build_Number] = @Build_Number
	 WHERE [Application_Id] = @Application_Id
	   AND [Release_Number] = @Release_Number

	COMMIT

END TRY BEGIN CATCH
	IF XACT_STATE()<>0 ROLLBACK
	EXEC [HandleError]
END CATCH

END
GO

GRANT EXECUTE ON [Releases_SetFurthestBuild] TO [BuildMasterUser_Role]
